using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("The Fjord Stratocracy", "", ModAPI.LoadSprite("dog.png"));

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Havard M. Müller", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>President of the Stratocracy. Currently turning the Stratocracy into a democratic republic.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Harvard.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Harvard.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Lucas V. Kushnirenko", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Commander of The Armed Forces.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Lucas.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Lucas.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Sandra A. Ponomarenko", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Havard's political advisor.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Sandra.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Sandra.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Soldier 1", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A soldier of the Stratocracy.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Soldat1.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Soldat1.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Soldier 2", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A soldier of the Stratocracy.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Soldat2.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Soldat2.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Soldier 3", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A soldier of the Stratocracy.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Soldat3.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Soldat3.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Soldier 4", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A soldier of the Stratocracy.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Soldat4.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Soldat4.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Soldier 5", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A soldier of the Stratocracy.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Soldat5.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Soldat5.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Paratrooper", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A paratrooper of the Stratocracy.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Paratrooper.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Paratrooper.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Vehicle Pilot", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A vehicle pilot of the Stratocracy. Can be also used as a tanker.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Pilot.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Pilot.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Fjord Driver", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>A driver of the Stratocracy. Can be also used as a tanker.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Driver.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/Driver.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Worker", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Person that works for the government.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovWorker.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovWorker.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Worker 2", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Person that works for the government.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovWorker2.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovWorker2.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Worker 3", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Person that works for the government.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovWorker3.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovWorker3.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Worker (Military)", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Person that works for the government, specifically the Department of Military Intel.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovWorker.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovWorker.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Worker (Winter)", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Person that works for the government.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovWorkerWIN.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovWorkerWIN.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Agent", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Agent of the Secret Intelligence Service (SIA).", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovAgent.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovAgent.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Paramilitary Operative", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Paramilitary Operative of the Secret Intelligence Service (SIA).", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovParamilitary.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovParamilitary.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Paramilitary Operative (DESERT)", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Paramilitary Operative of the Secret Intelligence Service (SIA).", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovParamilitaryDesert.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovParamilitaryDesert.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=green>Government Paramilitary Operative (WOODLAND)", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Paramilitary Operative of the Secret Intelligence Service (SIA).", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GovParamilitaryWoodland.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/GovParamilitaryWoodland.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=red>Curtonan Soldier", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Enemey of the Fjord.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/enemies/CurtonSoldat.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/enemies/CurtonSoldat.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=red>Curtonan Soldier 2", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Enemey of the Fjord.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/enemies/CurtonSoldat2.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/enemies/CurtonSoldat2.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=red>Curtonan Soldier", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Enemey of the Fjord.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/enemies/CurtonSoldat3.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/enemies/CurtonSoldat3.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), 
        NameOverride = "<color=red>Lordonian Soldier", 
        NameToOrderByOverride = "ia",
        DescriptionOverride = "<color=white>Enemey of the Fjord.", 
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"), 
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/enemies/LordonianSoldat.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("Sprites/enemies/LordonianSoldat.png");
            var flesh = ModAPI.LoadTexture("Sprites/vanilla flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/vanilla bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Battle Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M716 Assault Rifle.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifle1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle1.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Ranger's Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M716 Assault Rifle.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifle2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle2.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "<color=green>Semi-Automatic Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M550 Semi-Automatic Rifle.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifle3.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle3.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Standard Battle Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M716 Assault Rifle.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifle4.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle4.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Skirmishers' Battle Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M716 Assault Rifle.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifle5.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle5.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"),
        NameOverride = "<color=green>Semi-Automatic Marksman Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M550 Semi-Automatic Rifle.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifle1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle1.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Universal Battle Rifle",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The Universal Battle Rifle (UBR)",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifles1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifles1.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Universal Battle Rifle (2)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The Universal Battle Rifle (UBR)",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifles2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifles2.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "<color=green>Universal Battle Rifle ENHANCED",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The Universal Battle Rifle (UBR)",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/rifles3.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifles3.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "<color=green>9mm Battle PDW",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M716 Assault Rifle but adapted for 9x19mm.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/smg.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/smg.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "<color=green>9mm Submachine Gun",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M710 Submachine Gun.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/smg.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/smg.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "<color=green>9mm SMG",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M710 Submachine Gun.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/smg2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/smg2.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "<color=green>9mm SMG-PDW (2)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M710 Submachine Gun but with a folding stock.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/smg3.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/smg3.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "<color=green>9mm SMG-PDW Security",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M710 Submachine Gun with a retractable stock and holographic sight.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/smg4.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/smg4.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
        NameOverride = "<color=green>Rangers' 9mm Battle PDW",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The M716 Assault Rifle but adapted for 9x19mm.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/smg5.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/smg5.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "<color=green>Handgun",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The P100 Pistol.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/handgun.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/handgun.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "<color=green>Pocket-Pistol",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The P100MS Pistol.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/handgun2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/handgun2.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Revolver"),
        NameOverride = "<color=green>Revolver",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The R35 Six-Shooter",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/handgun3.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/handgun3.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Revolver"),
        NameOverride = "<color=green>Revolver (2)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The R35 Six-Shooter, now 14 inches",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/handgun4.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/handgun4.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "<color=green>Automatic Pistol",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The P100A Pistol.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/handgun5.png"),
        AfterSpawn = (Instance) =>
        {
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/handgun5.png");
            Instance.GetComponent<FirearmBehaviour>().Automatic = true;
            Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.03f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stielhandgranate"),
        NameOverride = "<color=green>Hand Grenade",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The G35 Hand Grenade.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/grenade.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/grenade.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stielhandgranate"),
        NameOverride = "<color=green>Egg Grenade",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>The G42 Egg Grenade.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/grenade2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/grenade2.png");
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet1.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Elite)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Mount)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet3.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet3.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Riot)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet4.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet4.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Skirmisher)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet5.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet5.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Standard)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet6.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet6.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Standard 2)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet7.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet7.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Standard 3)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Helmet8.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Helmet8.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Mitznefet)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/HelmetCover.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HelmetCover.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Mitznefet 2)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/HelmetCover1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HelmetCover1.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet (Mitznefet 3)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/HelmetCover2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/HelmetCover2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet Attachment (FLASHLIGHT)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet attachment of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/helmetFlash.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/helmetFlash.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet Attachment (FLASHLIGHT 2)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet attachment of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/helmetFlash2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/helmetFlash2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet Attachment (GUNSIGHT SHIELD)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet attachment of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/helmetMandete.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/helmetMandete.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Combat Helmet Attachment (NIGHTVISION)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat helmet attachment of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/helmetNVG.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/helmetNVG.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Headset",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat headset of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Headset.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Headset.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Goggles",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat goggles of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/Goggles.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Goggles.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Soldiers' GPS",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat GPS of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/DriverGPS.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/DriverGPS.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "LowerArmFront";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Medics' GPS",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat GPS of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GPS.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/GPS.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "LowerArmFront";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Ballistic Gloves (Front)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat Gloves of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GloveGF.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/GloveGF.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "LowerArmFront";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Ballistic Gloves (Back)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat Gloves of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/GloveGB.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/GloveGB.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "LowerArm";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Armor Pads (Front)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat Gloves of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/armpadTOP.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/armpadTOP.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "UpperArmFront";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=green>Armor Pads (Back)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "<color=white>Combat Gloves of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/armpadBOTTOM.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/armpadBOTTOM.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "UpperArm";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Facemask (Half)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/mask1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/mask1.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Facemask (Full)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/mask2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/mask2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Tank Helmet",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/tankerhat.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/tankerhat.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Field Cap",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/fieldcap.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/fieldcap.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Field Cap (Headset)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/fieldcap2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/fieldcap2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Field Cap (Squadleader)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/fieldcap3.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/fieldcap3.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Field Cap (Squadleader and Headset)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/fieldcap4.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/fieldcap4.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Field Cap (Officers' Cap)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/fieldcap5.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/fieldcap5.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Field Cap (Officers' Combat Cap)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/fieldcap6.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/fieldcap6.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "Head";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"),
        NameOverride = "<color=green>Bandolier",
        NameToOrderByOverride = "b",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/bandolier.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/bandolier.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 7f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
        NameOverride = "<color=green>Plate Carrier",
        NameToOrderByOverride = "b",
        DescriptionOverride = "Plate carrier of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/vestTOP1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vestTOP1.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 30f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
        NameOverride = "<color=green>Plate Carrier (No Pouch)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "Plate carrier of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/vestTOP2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vestTOP2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 30f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
        NameOverride = "<color=green>Plate Carrier (Rucksack)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "Plate carrier of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/vestTOPRucksack.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vestTOPRucksack.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 30f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
        NameOverride = "<color=green>Plate Carrier (Bottom Part)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "Plate carrier of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/vestBOTTOM1.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vestBOTTOM1.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 30f;
            armor.armorPiece = "MiddleBody";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
        NameOverride = "<color=green>Plate Carrier (Bottom Part, Skirmisher)",
        NameToOrderByOverride = "b",
        DescriptionOverride = "Plate carrier of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/vestBOTTOM2.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vestBOTTOM2.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 30f;
            armor.armorPiece = "MiddleBody";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
        NameOverride = "<color=green>Combat Belt",
        NameToOrderByOverride = "b",
        DescriptionOverride = "Belt of the Fjord.",
        CategoryOverride = ModAPI.FindCategory("The Fjord Stratocracy"),
        ThumbnailOverride = ModAPI.LoadSprite("Sprites/BattleBelt.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/BattleBelt.png", 1f); //file and scale
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 30f;
            armor.armorPiece = "LowerBody";
            armor.armorTier = 3;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
            Instance.FixColliders();
        }
    }
);
         }
    }
}